Name: compat-libcdio-paranoia1
Version: 10.2+0.90+1
Release: 1%{?dist}
Summary: Compat package with libcdio-paranoia libraries
Group: System Environment/Libraries
License: GPLv2+ and LGPLv2+
URL: http://www.gnu.org/software/libcdio/
Source0: http://ftp.gnu.org/gnu/libcdio/libcdio-paranoia-%{version}.tar.gz
BuildRequires: pkgconfig 
BuildRequires: gettext-devel
BuildRequires: chrpath
BuildRequires: libcdio-devel

# Explicitly conflict with older libcdio-paranoia packages that ship libraries
# with the same soname as this compat package
Conflicts: libcdio-paranoia < 10.2+0.93+1

%description
Compatibility package with libcdio-paranoia libraries ABI version 1.

%prep
%setup -q -n libcdio-paranoia-%{version}

%build
%configure \
	--disable-dependency-tracking \
	--disable-static \
	--disable-rpath
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# remove files that shouldn't go in the compat package
rm -rf $RPM_BUILD_ROOT%{_bindir}
rm -rf $RPM_BUILD_ROOT%{_includedir}
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.so
rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig/
rm -rf $RPM_BUILD_ROOT%{_datadir}

# remove rpath
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/*.so.*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING COPYING-GPL COPYING-LGPL
%{_libdir}/*.so.*

%changelog
* Sat Apr 25 2015 Kalev Lember <kalevlember@gmail.com> - 10.2+0.90+1-1
- libcdio-paranoia ABI version 1 compatibility package (#1215342)
